SUBDIRS := $(subst Makefile,,$(wildcard */Makefile))

.PHONY: all dist dist-clean $(SUBDIRS)

all: dist $(SUBDIRS)

dist: \
	single_beacon \
	field \
	antenna_setup \
	#

$(SUBDIRS):
	@$(MAKE) -C $@

dist-clean:
	rm -v sine_beacon.*
	rm -v ttl_beacon.*

beacon_spatial_time_difference_setup.pdf: src/beacon_spatial_time_difference_setup.py
	$< $@

single_beacon: \
	sine_beacon.pdf sine_beacon.png \
	ttl_beacon.pdf ttl_beacon.png

sine_beacon.%: src/single_beacon.py
	$< --periods 2 --no-grid --with-rates sine $@

ttl_beacon.%: src/single_beacon.py
	$< --periods 2 --no-grid --with-rates ttl $@


antenna_setup: \
	antenna_setup_four.pdf  antenna_setup_four.png \
	antenna_setup_three.pdf antenna_setup_three.png \
	antenna_setup_two.pdf antenna_setup_two.png \
	#

antenna_setup_four.%: src/antenna_geometry.py
	$< $@ 4

antenna_setup_three.%: src/antenna_geometry.py
	$< --no-extra $@ 3

antenna_setup_two.%: src/antenna_geometry.py
	$< --no-extra $@ 2
